#!/usr/bin/env bash
#
# This script sets up git and SSH access.

set -e

# Only applicable to non-docker executors
if [[ ! -f /.dockerenv ]]; then
  exit 0
fi

# install ssh if not present,
# and start the ssh-agent so
# we can use key-based login
apt-get update -y                           || yum -y check-update                     || true
apt-get install -y openssh-client rsync git || yum install -y openssh-client rsync git || true

eval $(ssh-agent -s)
mkdir -p $HOME/.ssh
sshconfig=$HOME/.ssh/config
touch $sshconfig

echo "Host *"                 >> $sshconfig
echo "    IdentitiesOnly yes" >> $sshconfig

git config --global user.name  "Gitlab CI";
git config --global user.email "gitlabci@localhost";
